Summary:	Diagnostic program for Ethernet adapters under Linux.
Name:		netdiag
Version:	2.4
Release:	0.fdr.4.1
Epoch:		0
License:	GPL
Group:		System Environment/Base
URL:		http://www.scyld.com/diag/index.html
Source0:	%{name}-%{version}.tar.gz
Source1:	etherwake.8
Patch0:		netdiag-2.4-multi-line-string.patch
Patch1:		netdiag-2.4-weak-declarations.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	diag-ether < 0:2.4
Provides:	diag-ether = %{epoch}:%{version}-%{release}


%description
Diagnostic and configuration programs for most common Ethernet adapters
supported by Linux.


%prep
%setup -q -c 
%patch0 -p1 -b .multilined-strings
%patch1 -p0 -b .weak-decl


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -Wall -Wstrict-prototypes"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_mandir}/man8
make install instdir=$RPM_BUILD_ROOT%{_sbindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/
install -p -m 444 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%{_sbindir}/*
%{_mandir}/man8/netdiag.8*
%{_mandir}/man8/etherwake.8*


%changelog
* Tue Sep  2 2003 Dams <anvil[AT]livna.org> 0:2.4-0.fdr.4
- Fixed version in Obsoletes tag.

* Tue Sep  2 2003 Enrico Scholz <enrico.scholz[AT]informatik.tu-chemnitz.de> 0:2.4-0.fdr.3
- Applied patch to fix gcc-3.3 compilation errors by removing multi-line strings
- Applied patch to fix warnings regarding late weak declarations
  http://www.scyld.com/pipermail/realtek/2003-September/001730.html

* Tue Sep  2 2003 Dams <anvil[AT]livna.org> 0:2.4-0.fdr.2
- Using RPM_OPT_FLAGS
- preserve timestamp using install
- Added -q setup option

* Tue Sep  2 2003 Dams <anvil[AT]livna.org> 0:2.4-0.fdr.1
- Updated to 2.4. Renamed like upstream as netdiag
- buildroot -> RPM_BUILD_ROOT
- Obsoletes old diag-ether. Provides diag-ether same e:v-r.

* Mon Mar 31 2003 Dams <anvil[AT]livna.org> 0:2.3-0.fdr.2
- Modified Group
- Added defattr
- Added Epoch

* Mon Mar 24 2003 Dams <anvil[AT]livna.org>
- updated to 2.3
- modify whole spec file for according to fedora template

* Mon Feb 24 2003 Dams <anvil[AT]livna.org> 
- Initial build.
